# PhasicFlow: empty Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

empty Class Reference
Inheritance diagram for empty:
[legend]
Collaboration diagram for empty:
[legend]

## Public Member Functions

| TypeInfo ("empty")
| empty (systemControl &control, const dictionary &dict)
| add_vCtor (positionParticles, empty, dictionary)
| ~empty () final=default
uint32 | numPoints () const final
uint32 | size () const final
real | maxDiameter () const final
const realx3Vector & | position () const final
realx3Vector & | position () final
Public Member Functions inherited from positionParticles
| TypeInfo ("positionParticles")
| positionParticles (systemControl &control, const dictionary &dict)
| create_vCtor (positionParticles, dictionary,(systemControl &control, const dictionary &dict),(control, dict))
virtual | ~positionParticles ()=default
bool | mortonSorting () const
auto | maxNumberOfParticles () const
virtual realx3Vector | getFinalPosition ()

## Private Attributes

realx3Vector | position_

## Additional Inherited Members

Static Public Member Functions inherited from positionParticles
static uniquePtr< positionParticles > | create (systemControl &control, const dictionary &dict)
Protected Member Functions inherited from positionParticles
const auto & | pRegion () const
Static Protected Attributes inherited from positionParticles
static const uint32 | numReports_ = 40

## Detailed Description

Definition at line 30 of file empty.hpp.

## Constructor & Destructor Documentation

## empty()

empty | ( | systemControl & | control,
|  | const dictionary & | dict
| ) |  |

Definition at line 25 of file empty.cpp.

## ~empty()

~empty | ( |  | ) |

finaldefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "empty" |  | ) |

## add_vCtor()

add_vCtor | ( | positionParticles | ,
|  | empty | ,
|  | dictionary |
| ) |  |

## numPoints()

uint32 numPoints | ( |  | ) | const

inlinefinalvirtual

Implements positionParticles.

Definition at line 57 of file empty.hpp.

## size()

uint32 size | ( |  | ) | const

inlinefinalvirtual

Implements positionParticles.

Definition at line 62 of file empty.hpp.

## maxDiameter()

real maxDiameter | ( |  | ) | const

inlinefinalvirtual

Implements positionParticles.

Definition at line 67 of file empty.hpp.

## position() [1/2]

const realx3Vector& position | ( |  | ) | const

inlinefinalvirtual

Implements positionParticles.

Definition at line 73 of file empty.hpp.

References empty::position_.

## position() [2/2]

realx3Vector& position | ( |  | ) |

inlinefinalvirtual

Implements positionParticles.

Definition at line 79 of file empty.hpp.

References empty::position_.

## Member Data Documentation

## position_

realx3Vector position_

private

Definition at line 36 of file empty.hpp.

Referenced by empty::position().

The documentation for this class was generated from the following files:

- utilities/particlesPhasicFlow/empty/empty.hpp
- utilities/particlesPhasicFlow/empty/empty.cpp